%define dver	2.8.4
%define bver	2-8-4

Summary:	Text based browser for the world wide web
Name:		lynx
Version:	%{dver}dev.11
Release:	9mdk
Copyright:	GPL
URL:		http://lynx.browser.org
Group:		Networking/WWW
BuildRequires:	gpm-devel ncurses-devel zlib-devel
Source0:	http://sol.slcc.edu/lynx/current/%{name}%{version}.tar.bz2
Source1:	%{name}.wmconfig
Patch0:		%{name}-pld.patch.bz2
Patch4:		lynx-cfg.patch.bz2
Patch5:		lynx-tmpdir.patch.bz2
Patch6:		lynx2-8-4-fix-ugly-color.patch.bz2
#SSL
Patch10:	http://www.moxienet.com/lynx/lynx-283-ssl.patch.bz2
Patch11:	lynx-2.8.3-sslfix.patch.bz2
Provides:	webclient
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	openssl-devel
Obsoletes:	lynx-ssl

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

This version includes support for SSL encryption.

WARNING: In some countries, it is illegal to export this package. In some
countries, it may even be illegal to use it.


%prep
%setup  -q -n %{name}%{bver}
%patch0 -p1 
%patch4 -p1
#%patch10 -p0
%patch5 -p1
%patch6 -p1
#SSL
%patch10 -p1 
%patch11 -p1 


%build

perl -p -i -e "s|\\$\\(SSL_DIR\\)/include|/usr/include/openssl|" makefile.in
CFLAGS="$RPM_OPT_FLAGS -w -DUSE_SSL -D_USE_PLD -U_GNU_SOURCE " LDFLAGS=-s \
    %configure \
	--libdir=/etc \
	--enable-warnings \
	--enable-color-style \
        --enable-default-colors \
	--enable-externs \
	--enable-internal-links \
	--enable-nsl-fork \
	--enable-persistent-cookies \
	--enable-cgi-links	\
	--with-zlib $SOCKS5 \
	--enable-prettysrc --enable-source-cache -enable-libjs \
	--enable-scrollbar --enable-read-eta --enable-file-upload \
	--with-included-gettext --enable-nls
perl -pi -e 's!/usr/local/ssl!/usr/lib/ssl!g' Makefile
%make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -d $RPM_BUILD_ROOT%{_datadir}/lynx/{lynx_help/keystrokes,test}

%makeinstall libdir=$RPM_BUILD_ROOT/etc mandir=$RPM_BUILD_ROOT/%{_mandir}/man1

for i in `find lynx_help test -type f `; do
	install $i $RPM_BUILD_ROOT%{_datadir}/lynx/$i
done

install %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/lynx
install -m644 samples/lynx.lss $RPM_BUILD_ROOT/etc/

bzip2 -9f docs/* README lynx.hlp||true


mkdir -p $RPM_BUILD_ROOT%{_menudir}/
cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):  \
 command="lynx" \
  needs="text" \
  icon="www_section.xpm" \
  section="Networking/WWW" \
  title="Lynx" \
   longtitle="A text browser"
EOF

perl -pi -e "s!PATH_TO/lynx_help/!"%{_datadir}"/lynx/lynx_help/!g" $RPM_BUILD_ROOT/etc/lynx.cfg

%find_lang lynx

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f lynx.lang
%defattr(644,root,root,755)
%doc docs/* README.bz2
%doc lynx.hlp.bz2

%config(noreplace) %verify(not size mtime md5) /etc/lynx.cfg
%config(noreplace) %verify(not size mtime md5) /etc/lynx.lss

%attr(755,root,root) %{_bindir}/*
%attr(644,root, man) %{_mandir}/man1/*
%{_menudir}/%{name}
%{_datadir}/lynx

%changelog
* Wed Apr 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> %{dver}dev.11-9mdk
- Correct icon in menu entry

* Tue Jan 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.8.4dev.11-8mdk
- --with-included-gettext.
- include the locales.

* Sun Jan  7 2001 Pixel <pixel@mandrakesoft.com> 2.8.4dev.11-7mdk
- use --enable-default-colors so that at last it doesn't use black foreground in my
rxvt :)

* Thu Dec 28 2000 Daouda Lo <daouda@mandrakesoft.com> 2.8.4dev.11-6mdk
- remove hardcoded path in menu

* Thu Nov 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.11-5mdk
- fix help location 

* Tue Nov 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.8.4dev.11-4mdk
- Another color fix patch :p.

* Tue Nov 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.8.4dev.11-3mdk
- Install lynx.lss from the samples/ directory (much better color).

* Fri Nov 03 2000 Daouda Lo <daouda@mandrakesoft.com> 2.8.4dev.11-2mdk
- rebuild for gcc-2.96

* Thu Oct 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.11-1mdk
- new release

* Sat Oct 07 2000 David BAUDENS <baudens@mandrakesoft.com> 2.8.4dev.8-4mdk
- Fix menu entry (#736)
- Use %%make macro

* Wed Sep 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.8-3mdk
- really add SSL (ginette sucks)
- buildrequires&obsoletes fixes for ssl support
- more macros
- add a menu entry

* Tue Sep  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.8.4dev.8-2mdk
- add support for SSL

* Fri Aug 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.8-1mdk
- new version

* Thu Aug 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.7-3mdk
- fix config for lord fred^h^h^hrpmlint
- remove useless wmconfig file

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.8.4-2mdk
- automatically added BuildRequires


* Fri Aug 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.7-1mdk
- new release

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.6-2mdk
- BM
- make it short-circuit compliant

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.6-1mdk
- new release

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.5-1mdk
- new release ...
- use new macros
- use spechelper for binaries stripping
- bzip2 doc instead of gzip it

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.4-1mdk
- new release

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.4dev.3-1mdk
- new release

* Mon Apr 24 2000 Pixel <pixel@mandrakesoft.com> 2.8.3dev.22-2mdk
- add provides webclient

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 2.8.3dev.22

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- use the new group naming scheme
- use spechelper

* Mon Dec  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Define the TEMPDIR to ~/tmp, create it if is no here or fallback to
  /tmp is he can't.

* Sat Nov  6 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Oct  5 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix wrong helpfile url (#291).

* Tue Sep  7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Fix compliance with FTP RFC (needed for wu-ftpd 2.6.0 and other servers)
- 2.8.3dev.8
- Enable file-upload feature

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.8.3dev.6

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Redefine the temporary dir to /tmp/ (definitively !!!).

* Thu Jul 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 2.8.3dev.4

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.8.3.2 version.
- Updated patch.

* Fri May 21 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.8.2pre5
- remove no-root patch

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.8.2pre2
- change group to Applications/Internet (used to be the only app in
  group Networking).
- handle RPM_OPT_FLAGS

* Tue May 04 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add lynx.lss files.

* Thu Apr 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.

* Tue Feb 16 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.8.2dev.16-2d]
- build with socks5 support -- if avaiable .. 

* Tue Feb 16 1999 Artur Frysiak <wiget@usa.net>
  [2.8.2dev.16-1d]
- moved help and test files to %{_datadir}/lynx
- added not_for_root patch (this is bugi software, run from root account
  is dangerus)
- changed default color scheme

* Fri Feb 05 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.8.2dev15-2d]
- changed group,
- compressed documentation.

* Sun Jan 10 1999 Artur Frysiak <wiget@usa.net>
  [2.8.2dev.12-1d]
- added URL and Group(pl) tags

* Mon Sep 01 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.8-5d]
- build against glibc-2.1,
- changed Buildroot to /var/tmp/%%{name}-%%{version}-%%{release}-root,
- changed permission of lynx to 711,
- translation modified for pl.

* Sun Aug 30 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.8-5]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- URL in HELPFILE in /etc/lynx.cfh changed to localhost,
- removed INSTALLATION from %doc,
- added %attr and %defattr macros in %files (allow build package from
  non-root account).

